Description

The Cryptography\HashService currently comes with two methods for creating & validating HMAC hashes: generateHmac() and 
validateHmac().
That requires the user to deal with the actual string and it's hash individually.
I suggest to add two methods appendHmac() and validateAndStripHmac() that allows the user to simply append the HMAC to a given
string.

Associated revisions
Revision 061beb04 - 2011-11-10 10:48 - Bastian Waidelich

[FEATURE] (Security): HMAC Convenience methods in HashService

This adds the methods appendHmac() and validateAndStripHmac()
to the Cryptography\HashService allowing users to deal with HMAC
validation more conveniently.

Change-Id: If3417ca25094da9e28a923a0b43c2735932b6060
Resolves: #31698
Release: 1.1

History
#1 - 2011-11-09 10:30 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change If3417ca25094da9e28a923a0b43c2735932b6060 has been pushed to the review server.
It is available at http://review.typo3.org/6608

#2 - 2011-11-09 10:54 - Mr. Hudson

Patch set 2 of change If3417ca25094da9e28a923a0b43c2735932b6060 has been pushed to the review server.
It is available at http://review.typo3.org/6608

#3 - 2011-11-10 10:07 - Mr. Hudson

Patch set 3 of change If3417ca25094da9e28a923a0b43c2735932b6060 has been pushed to the review server.
It is available at http://review.typo3.org/6608
#4 - 2011-11-10 10:48 - Mr. Hudson

Patch set 4 of change If3417ca25094da9e28a923a0b43c2735932b6060 has been pushed to the review server.
It is available at http://review.typo3.org/6608

#5 - 2011-11-10 11:06 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:061beb04f08b4ab8768b4a0500251ce013dbcab7.

#6 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
